!set title=Productos entre matrices potencias 3x3
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r,r
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(6)]
val7=$[rint($val6/2)]
tmp0=!randint -$val7, $val7

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val7, $val7

tmp4=!randint -$val7, $val7

tmp5=!randint -$val6, $val6

tmp6=!randint -$val7, $val7

tmp7=!randint -$val7, $val7

tmp8=!randint -$val7, $val7

tmp=!trim 2*$(tmp0)+1,$(tmp1),$(tmp2)	2*$(tmp3),2*$(tmp4)+1,$(tmp5)	2*$(tmp6),2*$(tmp7),2*$(tmp8)+1	
val8=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle 3

val9=$(tmp0)
tmp0=!shuffle 3

val10=$(tmp0)
t_=!replace internal \( by ( in print(vecextract([$val8],[$val9],[$val10]))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val8=!translate internal $	\
$ to ;; in $tmp
tmp0=!randint -$val7, $val7

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val7, $val7

tmp4=!randint -$val7, $val7

tmp5=!randint -$val6, $val6

tmp6=!randint -$val7, $val7

tmp7=!randint -$val7, $val7

tmp8=!randint -$val7, $val7

tmp=!trim 2*$(tmp0)+1,$(tmp1),$(tmp2)	2*$(tmp3),2*$(tmp4)+1,$(tmp5)	2*$(tmp6),2*$(tmp7),2*$(tmp8)+1	
val11=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle 3

val9=$(tmp0)
tmp0=!shuffle 3

val10=$(tmp0)
t_=!replace internal \( by ( in print(vecextract([$val11],[$val9],[$val10]))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val11=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle A,B

val12=$(tmp0)
tmp0=!item 1 of $val12

val13=$(tmp0)
tmp0=!item 2 of $val12

val14=$(tmp0)
tmp=!trim $val13*$val14,$val13*$val14*$val13	$val13*$val14,$val14*$val13*$val14	$val13*$val14,$val13*$val14^2	$val13*$val14,$val13^2*$val14	
val15=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val15

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
tmp1=!shuffle $(tmp0)

val15=$(tmp1)
tmp0=!item 1 of $val15

val16=$(tmp0)
tmp0=!item 2 of $val15

val17=$(tmp0)
t_=!replace internal \( by ( in A=[$val8];B=[$val11];print($val16)
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val18=!translate internal $	\
$ to ;; in $tmp
t_=!replace internal \( by ( in A=[$val8];B=[$val11];print($val17)
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val19=!translate internal $	\
$ to ;; in $tmp
replytype1=matrix
replyname1=A
replygood1=$val8
replytype2=matrix
replyname2=B
replygood2=$val11
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos dos matrices 
!insmath A
$() y 
!insmath B
$(), con	<p><center>	 
!insmath $val16 = [$val18]
$() , 
!insmath $val17 = [$val19]
$() .	</center> <p>	¿Quiénes son 
!insmath A
$() y 
!insmath B
$() ?	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=16,17,18,19
embedcnt=0
